package com.zcloud.mapper.dsno2.system;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：组件管理
 * 作者：luoxiaobao
 * 时间：2023-08-22
 * 官网：www.zcloudchina.com
 */
public interface ComponentMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**
	 * 列表(全部)
	 *
	 * @param menuId@throws Exception
	 */
	List<PageData> listAll(String menuId);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

}

