package com.zcloud.service.bus.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.corp.CorpInfo2Mapper;
import com.zcloud.service.bus.CorpInfo2Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：企业管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CorpInfo2ServiceImpl implements CorpInfo2Service {

	@Autowired
	private CorpInfo2Mapper corpinfoMapper;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> corplistPage(Page page)throws Exception{
		return corpinfoMapper.corplistPage(page);
	}
}

