package com.zcloud.service.bus.impl;

import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.corp.VIPAdjustmentLogMapper;
import com.zcloud.service.bus.VIPAdjustmentLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 说明：企业会员调整日志
 * 作者：limingyu
 * 时间：2023-07-12
 */
@Service
@Transactional //开启事务
public class VIPAdjustmentLogServiceImpl implements VIPAdjustmentLogService {
    @Autowired
    private VIPAdjustmentLogMapper vipAdjustmentLogMapper;

    /**
     * 新增
     */
    @Override
    public void save(PageData pd) {
        vipAdjustmentLogMapper.save(pd);
    }
}
