package com.zcloud.service.notice.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.notice.NoticeRemindLogMapper;
import com.zcloud.service.notice.NoticeRemindLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：通知模板
 * 作者：luoxiaobao
 * 时间：2022-05-24
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class NoticeRemindLogServiceImpl implements NoticeRemindLogService {

	@Autowired
	private NoticeRemindLogMapper noticeRemingLogMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		noticeRemingLogMapper.save(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return noticeRemingLogMapper.datalistPage(page);
	}

}

