

--增加教师管理菜单 2022-03-07 王朋
INSERT INTO `sys_menu` VALUES (313, '教师管理', 'onlinexxks/teacher', '314', '1', '', '1', 1, 'teacher:list', 'onlinexxks/teacher', '');

--增加教师表 2022-03-07 王朋
CREATE TABLE `BUS_TEACHER` (
 		`TEACHER_ID` varchar(100) NOT NULL,
		`NAME` varchar(255) DEFAULT NULL COMMENT '教师姓名',
		`PHONE` varchar(255) DEFAULT NULL COMMENT '手机号',
		`IDENTITY_NUMBER` varchar(255) DEFAULT NULL COMMENT '身份证号',
		`EDUCATION_LEVEL` varchar(255) DEFAULT NULL COMMENT '文化程度',
		`PROFESSION` varchar(255) DEFAULT NULL COMMENT '专业',
		`IDENTITY_FILEPATH_FRONT` varchar(255) DEFAULT NULL COMMENT '身份证照片（正面）',
		`IDENTITY_FILEPATH_REVERSE` varchar(255) DEFAULT NULL COMMENT '身份证照片（反面）',
		`DIPLOMA_FILEPATH` varchar(255) DEFAULT NULL COMMENT '毕业证照片',
		`CERTIFICATE_FILEPATH` varchar(255) DEFAULT NULL COMMENT '资格证照片',
		`ISDELETE` varchar(255) DEFAULT NULL COMMENT '是否删除（0.正常 1.删除）',
		`OPERATOR` varchar(255) DEFAULT NULL COMMENT '修改人',
		`OPERATTIME` varchar(255) DEFAULT NULL COMMENT '修改时间',
		`CREATOR` varchar(255) DEFAULT NULL COMMENT '添加人',
		`CREATTIME` varchar(255) DEFAULT NULL COMMENT '添加时间',
		`CORPINFO_ID` varchar(255) DEFAULT NULL COMMENT '企业ID',
  		PRIMARY KEY (`TEACHER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--增加教师证书表 2022-03-07 王朋
CREATE TABLE `BUS_TEACHERCERTIFICATE` (
 		`TEACHERCERTIFICATE_ID` varchar(100) NOT NULL,
		`TEACHER_ID` varchar(255) DEFAULT NULL COMMENT '教师ID',
		`QUALIFICATION_TYPE` varchar(100) DEFAULT NULL COMMENT '资质类型',
		`VOCATIONAL_CERTIFICATE_NUMBER` varchar(255) DEFAULT NULL COMMENT '职业证书编号',
		`IS_PERMANENT_VALID` varchar(255) DEFAULT NULL COMMENT '是否永久有效',
		`CERTIFICATE_DATE_BEGIN` varchar(255) DEFAULT NULL COMMENT '证书有效期（开始）',
		`CERTIFICATE_DATE_END` varchar(255) DEFAULT NULL COMMENT '证书有效期（结束）',
		`CERTIFICATE_FILEPATH` varchar(255) DEFAULT NULL COMMENT '证书照片',
		`ISDELETE` varchar(255) DEFAULT NULL COMMENT '是否删除（0.正常 1.删除）',
		`CREATOR` varchar(255) DEFAULT NULL COMMENT '添加人',
		`CREATTIME` varchar(255) DEFAULT NULL COMMENT '添加时间',
		`OPERATOR` varchar(255) DEFAULT NULL COMMENT '修改人',
		`OPERATTIME` varchar(255) DEFAULT NULL COMMENT '修改时间',
		`CORPINFO_ID` varchar(255) DEFAULT NULL COMMENT '企业ID',
  		PRIMARY KEY (`TEACHERCERTIFICATE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
