package com.zcloud.service.bus.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.corp.ElectronicFenceMapper;
import com.zcloud.service.bus.CorpInfoService;
import com.zcloud.service.bus.ElectronicFenceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：企业管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ElectronicFenceServiceImpl implements ElectronicFenceService {

	@Autowired
	private ElectronicFenceMapper electronicfenceMapper;


	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		electronicfenceMapper.save(pd);
	}

}

